Subject: Re: [PATCH 3/3] arm64: dts: qcom: sc8280xp-crd: add wifi calibration variant

From: Kalle Valo <[email-masked]>
Date: Mon, 20 Mar 2023 14:18:31 +0200

Johan Hovold <[email-masked]> writes:

> On Mon, Mar 20, 2023 at 11:55:48AM +0100, Johan Hovold wrote:
>
>> On Mon, Mar 20, 2023 at 11:50:30AM +0100, Konrad Dybcio wrote:
>> > 
>> > 
>> > On 20.03.2023 11:46, Johan Hovold wrote:
>> > > Describe the bus topology for PCIe domain 6 and add the ath11k
>> > > calibration variant so that the board file (calibration data) can be
>> > > loaded.
>> > > 
>> > > Link: https://bugzilla.kernel.org/show_bug.cgi?id=216036
>> > > Signed-off-by: Johan Hovold <[email-masked]>
>> > > ---
>> > >  arch/arm64/boot/dts/qcom/sc8280xp-crd.dts | 17 +++++++++++++++++
>> > >  1 file changed, 17 insertions(+)
>> > > 
>> > > diff --git a/arch/arm64/boot/dts/qcom/sc8280xp-crd.dts
>> > > b/arch/arm64/boot/dts/qcom/sc8280xp-crd.dts
>> > > index 90a5df9c7a24..5dfda12f669b 100644
>> > > --- a/arch/arm64/boot/dts/qcom/sc8280xp-crd.dts
>> > 
>> > 
>> > Was mixing
>> > > +++ b/arch/arm64/boot/dts/qcom/sc8280xp-crd.dts
>> > 
>> > this /\
>> > 
>> > [...]
>> > 
>> > and this \/
>> > > +			qcom,ath11k-calibration-variant = "LE_X13S";
>> > Intentional? Especially given Kalle's comment on bugzilla?
>> 
>> Yes, it is intentional. The corresponding calibration data allows the
>> wifi to be used on the CRD. I measure 150 MBits/s which may a bit lower
>> than expected, but it's better than having no wifi at all.
>
> I was going back and forth about mentioning this in the commit message
> and we could off on this one until someone confirms that the
> corresponding calibration data can (or should) be used for the X13s.
>
> Note that there is no other match for
>
> 	'bus=pci,vendor=17cb,device=1103,subsystem-vendor=17cb,subsystem-device=0108,qmi-chip-id=2,qmi-board-id=140'
>
> in the new board-2.bin.

If the device in question is something else than Lenovo X13s, I would
prefer that the variant is not set. Just in case we need different board
files for different models. It's easy to add aliases to board-2.bin.

I need to check internally what board file should be used for this CRD.
If the speed is only 150 Mbit/s I suspect it needs a different board
file.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches